---
title: "Fetch image links for second id"
url: "https://developer.incode.com/api-reference/get-images-second-id-v2/"
section: "api-reference"
group: "Interview"
version: "v1.1"
status: "live"
endpoint: "POST /omni/get/images-second-id/v2"
---
# Fetch image links for second id

`POST /omni/get/images-second-id/v2`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Returns seconnd id images temporary links for requested images. Links are valid for one hour

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string |  |  |
| `api-version` | header | string | yes | Default: `1.0` |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `images` | array[string] | yes | Enum: `selfie`, `authenticationSelfie`, `sorSelfie`, `videoSelfie`, `externalFace`, `croppedFace`, `croppedAuthenticationSelfie`, `croppedFrameAnalysisSelfie`, `croppedExternalFace`, `croppedIDFace`, `croppedNfcFace`, `document`, `originalSignature`, `signature`, `initials`, `fullFrameFrontID`, `fullFrameBackID`, `croppedFrontID`, `refCroppedFrontID`, `croppedBackID`, `refCroppedBackID`, `croppedOriginalFrontID`, `croppedOriginalBackID`, `confSelfie`, `confFrontID`, `confBackID`, `confPoa`, `addressStatement`, `medicalDoc`, `secondId`, `thirdId`, `contract`, `signedContract`, `videoSelfieCompareID`, `videoSelfieCompareOcr`, `videoSelfieCompareBackID`, `videoSelfieCompareBackOcr`, `otherDocument1`, `otherDocument2`, `otherDocument3`, `paymentProof`, `consent`, `annotationImg`, `externalScreen`, `eSignDocument`, `sessionExport`, `zoomedFrontId`, `zoomedBackId`, `zoomedSelfie`, `regionBasedTemplate`, `renaperCropped`, `voiceConsentSelfie`, `v5cLogbook`, `v5cMultiPageLogbook`, `carInvoice`, `circulationCard`, `financeSettlement`, `w8Ben`, `w8BenE`, `faceRecordingFrame`, `signatureImageID`, `ghostSignatureImageID`, `ghostPortraitImageID`, `fingerprintImageID`, `documentNumberCropImageID`, `ineMexScan` |

## Responses

### 200

For each requested image type, response contains line in format: {imageType}: String (base64). Base64 representation of image. Additionally, if signature image is requested, response will contain an array of all signatures.

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X POST https://demo-api.incodesmile.com/omni/get/images-second-id/v2?id=%3Cid%3E \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "X-Incode-Hardware-Id: <YOUR_INCODE_HARDWARE_ID>" \
  -H "api-version: 1.0" \
  -H "Content-Type: application/json" \
  -d '{
    "images": []
  }'
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/get/images-second-id/v2?id=%3Cid%3E", {
  method: "POST",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "X-Incode-Hardware-Id": "<YOUR_INCODE_HARDWARE_ID>",
      "api-version": "1.0",
      "Content-Type": "application/json",
  },
    body: JSON.stringify({
      "images": []
    }),
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "X-Incode-Hardware-Id": "<YOUR_INCODE_HARDWARE_ID>",
    "api-version": "1.0",
    "Content-Type": "application/json",
}
res = requests.post("https://demo-api.incodesmile.com/omni/get/images-second-id/v2?id=%3Cid%3E", headers=headers, json={
  "images": []
})
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/get/images-second-id/v2?id=%3Cid%3E"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("X-Incode-Hardware-Id", "<YOUR_INCODE_HARDWARE_ID>")
    .header("api-version", "1.0")
    .header("Content-Type", "application/json")
    .method("POST", HttpRequest.BodyPublishers.ofString("{\n  \"images\": []\n}"))
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```
require "net/http"
require "json"

uri = URI("https://demo-api.incodesmile.com/omni/get/images-second-id/v2?id=%3Cid%3E")
req = Net::HTTP::Post.new(uri)
req["x-api-key"] = "<YOUR_API_KEY>"
req["X-Incode-Hardware-Id"] = "<YOUR_INCODE_HARDWARE_ID>"
req["api-version"] = "1.0"
req["Content-Type"] = "application/json"
req.body = '{
  "images": []
}'

res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)
```

### PHP

```
$ch = curl_init("https://demo-api.incodesmile.com/omni/get/images-second-id/v2?id=%3Cid%3E");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "x-api-key: <YOUR_API_KEY>",
    "X-Incode-Hardware-Id: <YOUR_INCODE_HARDWARE_ID>",
    "api-version: 1.0",
    "Content-Type: application/json",
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, '{
  "images": []
}');

$data = json_decode(curl_exec($ch), true);
curl_close($ch);
```

### Example response

```json
{}
```
